import request from "@/utils/request";
const baseURL = "http://127.0.0.1:9000";

// 查询地理位置
export function fetchAreaList(query) {
  return request({
    url: "/mes/factory/areainfos",
    method: "get",
    params: query,
  });
}

// 删除附件
export function deleteFileList(id) {
  return request({
    url: "/minio/files/deleteFileList/" + id,
    method: "delete",
  });
}
export function getExportPdf(data) {
  return request({
    url: "http://192.168.1.94:48080/jmreport/exportPdf",
    method: "post",
    headers: { isToken: false },
    data: data,
  });
}

// 查询过滤条件
export function getFilterListInQuery(data) {
  return request({
    url: "/infra/query-manage/filterList",
    method: "post",
    data: data,
  });
}
// 标签打印-通用(bartender)
export function printLabel(data) {
  return request({
    method: "post",
    url: baseURL + "/commonPrint",
    data,
  });
}
